AutoCAD 2000/2000i/2002 Archive

Reply
Contributor
Posts: 21
Registered: ‎07-26-2003
Message 1 of 3 (40 Views)

DISPLAY ORDER doesn't work!

40 Views, 2 Replies
07-10-2003 02:08 AM
Can anyone help with this DISPLAY ORDER?
I have tried to have the lines shown on the drawing by having the hatch bring to back but it doesn't work. I tried both Hatch - Associative and Non Associative and still the lines are hidden.
*Lincoln, Tracy W.
Message 2 of 3 (40 Views)

Re: DISPLAY ORDER doesn't work!

07-10-2003 02:10 AM in reply to: ianseow


And you are doing a REGENALL afterwards?

Also look for other messages dealing with this subject, there is a FLOAT.LSP
routine (posted originally by Terry Dotson I believe)

**************************************************************

Please, DO NOT send technical requests to me via private e-mail

**************************************************************

Tracy W. Lincoln

Assistant Moderator - Autodesk Discussion Forums

Discussion Group Links:

-----------------------

Index: http://discussion.autodesk.com

Rules: http://discussion.autodesk.com/webx?groundrules

 

*Swift, Jon
Message 3 of 3 (40 Views)

Re: DISPLAY ORDER doesn't work!

07-10-2003 02:25 AM in reply to: ianseow
I've found the draworder to be unreliable, here is a lisp that is better
in some ways;

;BF (Bring Forward) simply copies a selected entity
;on top of itself and erases the original. The
;copy will be the latest addition to the drawing
;database and, therefore, will not be covered by
;grayscales produced by PSFILL. JLP 07/92 Copy
;and distribute freely.
;
;Added BFM - Brind Forward Multiple
;by J. Tippit SPAUG President 07/12/99
;
(defun C:BF (/ i en)
(setvar "cmdecho" 0);don't echo commands
(setq i 1);loop control
(while i
(setq en (car (entsel "\nPick one entity: ")));force one pick
(if en
(setq i nil);break loop
(princ "\nNothing selected. Try again.");print error msg
)
)
(command "copy" en "" "0,0" "0,0");copy picked entity
(command "erase" en "");delete picked entity
(redraw (entlast));redraw new entity
(princ);exit cleanly
)

(defun C:BFM (/ SS EN ED AS CNT-H CNT-S CNT-L)
(setvar "cmdecho" 0)
(command "undo" "be")
(setq SS (ssget))
(princ (strcat "\n" (itoa (sslength SS)) " entities to bring
forward"))
(princ "\nBringing entities on top of HATCHES and SOLIDS please
wait...")
(princ "\n.")
(setq CNT-H 0 CNT-S 0 CNT-L 0)
(while (> (sslength SS) 0)
(progn
(princ ".")
(setq EN (ssname SS 0))
(setq ED (entget EN))
(setq AS (cdr (assoc '0 ED)))
(setq LYR (cdr (assoc '8 ED)))
(setq LYRS (tblsearch "LAYER" (strcase LYR)))
(if (= (cdr (assoc '70 LYRS)) 4)
(progn
(ssdel EN SS)
(setq CNT-L (1+ CNT-L))
)
(progn
(if (/= AS "HATCH")
(progn
(if (/= AS "SOLID")
(progn
(command "copy" EN "" "0,0" "0,0")
(command "erase" EN "")
(redraw (entlast))
(prin1)
(ssdel EN SS)
)
(progn
(ssdel EN SS)
(setq CNT-S (1+ CNT-S))
)
)
)
(progn
(ssdel EN SS)
(setq CNT-H (1+ CNT-H))
)
)
)
)
)
)
(princ "done.")
(prompt (strcat "\n" (itoa CNT-H) " Hatches and " (itoa CNT-S) "
Solids filtered out."))
(prompt (strcat "\n" (itoa CNT-L) " Entities on LOCKED layers [unable
to bring forward]."))
(princ "\nNote: You may need to regen the display.")
(command "undo" "e")
(setvar "cmdecho" 1)
(princ)
)
(prompt "\nBring Forward routine loaded.")
(prompt "\nType BF for single entity or BFM for multiple entities.")
(princ)

ianseow wrote:

> Can anyone help with this DISPLAY ORDER?
> I have tried to have the lines shown on the drawing by having the
> hatch bring to back but it doesn't work. I tried both Hatch -
> Associative and Non Associative and still the lines are hidden.

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Welcome to the new Autodesk Community!
If this is your first visit, click here to get started and make the most of the Community. Let us know what you think of the new experience in the Community Feedback Forum.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community




Connect with AutoCAD

Twitter

Facebook

Blogs

Pinterest

Youtube